<?php

namespace App\Traits;

trait MalaysiaReportDataValidation {

    /**
     * Data validation
     * @param  $request
     * @return Array
     */
    public function validatedData($request)
    {
        return $request->validate([
            'height' => 'nullable|string',
            'weight' => 'nullable|string',
            'hearing_right_ear' => 'nullable|string',
            'hearing_left_ear' => 'nullable|string',
            'eye_sight_right' => 'nullable|string',
            'eye_sight_left' => 'nullable|string',
            'eye_right_with_aid' => 'nullable|string',
            'eye_left_with_aid' => 'nullable|string',
            'color_vision' => 'nullable|string',
            'blood_pressure' => 'nullable|string',
            'urinalysis' => 'nullable|string',
            'sugar' => 'nullable|string',
            'pulse' => 'nullable|string',
            'chest_x_ray' => 'nullable|string',
            'x_ray_number' => 'nullable|string',
            'ecg' => 'nullable|string',
            'fit' => 'nullable|boolean',
            'infectios' => 'nullable|boolean',
            'infectios_remarks' => 'nullable|string',
            'malignant' => 'nullable|boolean',
            'malignant_remarks' => 'nullable|string',
            'endocrine' => 'nullable|boolean',
            'endocrine_remarks' => 'nullable|string',
            'disease_blood' => 'nullable|boolean',
            'disease_blood_remarks' => 'nullable|string',
            'mental_disorder' => 'nullable|boolean',
            'mental_disorder_remarks' => 'nullable|string',
            'central_nervious' => 'nullable|boolean',
            'central_nervious_rm' => 'nullable|string',
            'cardio_vascular' => 'nullable|boolean',
            'cardio_vascular_remarks' => 'nullable|string',
            'rs_system' => 'nullable|boolean',
            'rs_system_remarks' => 'nullable|string',
            'digestiv_sm' => 'nullable|boolean',
            'digestiv_sm_remarks' => 'nullable|string',
            'genito_sm' => 'nullable|boolean',
            'genito_sm_remarks' => 'nullable|string',
            'pregnancy' => 'nullable|boolean',
            'pregnancy_rm' => 'nullable|string',
            'skin' => 'nullable|boolean',
            'skin_rm' => 'nullable|string',
            'musculo' => 'nullable|boolean',
            'musculo_rm' => 'nullable|string',
            'speech_defects' => 'nullable|boolean',
            'speech_defects_rm' => 'nullable|string',
            'nose_throat' => 'nullable|boolean',
            'nose_throat_rm' => 'nullable|string',
            'eyes' => 'nullable|boolean',
            'eyes_rm' => 'nullable|string',
            'eye_disorders' => 'nullable|boolean',
            'eye_disorders_rm' => 'nullable|string',
            'cataract' => 'nullable|boolean',
            'cataract_rm' => 'nullable|string',
            'monocular_sight' => 'nullable|boolean',
            'monocular_sight_rm' => 'nullable|string',
            'hinder_vision' => 'nullable|boolean',
            'hinder_vision_rm' => 'nullable|string',
            'color_bind' => 'nullable|boolean',
            'color_bind_rm' => 'nullable|string',
            'night_blind' => 'nullable|boolean',
            'night_blind_rm' => 'nullable|string',
            'convulsion' => 'nullable|boolean',
            'convulsion_rm' => 'nullable|string',
            'head_injuris' => 'nullable|boolean',
            'head_injuris_rm' => 'nullable|string',
            'dizziness' => 'nullable|boolean',
            'dizziness_rm' => 'nullable|string',
            'headache_migrane' => 'nullable|boolean',
            'headache_migrane_rm' => 'nullable|string',
            'brain_operation' => 'nullable|boolean',
            'brain_operation_rm' => 'nullable|string',
            'diabetis_trt' => 'nullable|boolean',
            'diabetis_trt_rm' => 'nullable|string',
            'mental_dis' => 'nullable|boolean',
            'mental_dis_rm' => 'nullable|string',
            'alcohol_drugs' => 'nullable|boolean',
            'alcohol_drugs_rm' => 'nullable|string',
            'spinal' => 'nullable|boolean',
            'spinal_rm' => 'nullable|string',
            'heart_pal' => 'nullable|boolean',
            'heart_pal_rm' => 'nullable|string',
            'breathing' => 'nullable|boolean',
            'breathing_rm' => 'nullable|string',
            'deafiness' => 'nullable|boolean',
            'deafiness_rm' => 'nullable|string',
            'kidney_dis' => 'nullable|boolean',
            'kidney_dis_rm' => 'nullable|string',
            'medical_treat' => 'nullable|boolean',
            'medical_treat_rm' => 'nullable|string',
            'disease_stated' => 'nullable|boolean',
            'disease_stated_rm' => 'nullable|string',
        ]);
    }
}
